<?php
class Pessoa{
    private $idPessoa;
    private $Nome;
    private $Sexo;
    private $Situacao;
    private $dtNascimento;
    private $Imagem;
    private $RG;
    private $CPF;
    private $NomeConjuge;
    private $TelefoneFixo;
    private $Celular1;
    private $Celular2;
    private $Email;
    
    private $TIT_nr;
    private $TIT_zn;
    private $TIT_sc;
    
    
    private $Endereco;  // object
    private $Grupo;     // Object
    private $Auditoria; // Object
    private $CodAux;
    private $obs;
    
    public function __construct($idPessoa   = "",
                                $Nome       = "",
                                $Sexo       = "",
                                $Situacao   = "",
                                $dtNasc     = "",
                                $Imagem     = "",
                                $RG         = "",
                                $CPF        = "",
                                $NomeCJ     = "",
                                $TelFixo    = "",
                                $Cel1       = "",
                                $Cel2       = "",
                                $Email      = "",
                                $END_lgr    = "",
                                $END_bairro = "",
                                $END_mun    = "",
                                $END_UF     = "",
                                $END_CEP    = "",
                                $CodAux     = "") {
        
        $this->idPessoa         = $idPessoa;
        $this->Nome             = $Nome;
        $this->Sexo             = $Sexo;
        $this->Situacao         = $Situacao;
        $this->dtNascimento     = $dtNasc;
        $this->Imagem           = $Imagem;
        $this->RG               = $RG;
        $this->CPF              = $CPF;
        $this->NomeConjuge      = $NomeCJ;
        $this->TelefoneFixo     = $TelFixo;
        $this->Celular1         = $Cel1;
        $this->Celular2         = $Cel2;
        $this->Email            = $Email;
        $this->END_logradouro   = $END_lgr;
        $this->END_bairro       = $END_bairro;
        $this->END_municipio    = $END_mun;
        $this->END_UF           = $END_UF;
        $this->END_CEP          = $END_CEP;
        $this->CodAux           = $CodAux;
    }
    
    public function getIdPessoa(){
        return $this->idPessoa;
    }
    
    public function getNome(){
        return $this->Nome;
    }
    public function setNome($nome){
        $this->Nome = $nome;
    }
    
    public function getSexo($forma = false){
        if($forma){
            if($this->Sexo == "M")     $r = "Masculino";
            elseif($this->Sexo == "F") $r = "Feminino";
            elseif($this->Sexo == "N") $r = "Não informado";
        }else{
            $r = $this->Sexo;
        }
        
        return $r;
    }
    public function setSexo($sx){
        $this->Sexo = $sx;
    }
    
    public function getSituacao(){
        return $this->Situacao;
    }
    public function setSituacao($st){
        $this->Situacao = $st;
    }
    
    public function getDtNascimento(){
        return $this->dtNascimento;
    }
    public function setDtNascimento($dt){
        $this->dtNascimento = $dt;
    }
    
    public function getImagem(){
        return $this->Imagem;
    }
    public function setImagem($img){
        $this->Imagem = $img;
    }
    
    public function getRG(){
        return $this->RG;
    }
    public function setRG($rg){
        $this->RG = $rg;
    }
    
    public function getCPF(){
        return $this->CPF;
    }
    public function setCPF($cpf){
        $this->CPF = $cpf;
    }
    
    public function getNomeConjuge(){
        return $this->NomeConjuge;
    }
    public function setNomeConjuge($nomecj){
        $this->NomeConjuge = $nomecj;
    }
    
    public function getTelefoneFixo(){
        return $this->TelefoneFixo;
    }
    public function setTelefoneFixo($tel){
        $this->TelefoneFixo = $tel;
    }
    
    public function getCelular1(){
        return $this->Celular1;
    }
    public function setCelular1($tel){
        $this->Celular1 = $tel;
    }
    
    public function getCelular2(){
        return $this->Celular2;
    }
    public function setCelular2($tel){
        $this->Celular2 = $tel;
    }
    
    public function getEmail(){
        return $this->Email;
    }
    public function setEmail($email){
        $this->Email = $email;
    }
    
    public function getLogradouro(){
        return $this->END_logradouro;
    }
    public function setLogradouro($lgr){
        $this->END_logradouro = $lgr;
    }
    
    public function getBairro(){
        return $this->END_bairro;
    }
    public function setBairro($bairro){
        $this->END_bairro = $bairro;
    }
    
    public function getCidade(){
        return $this->END_municipio;
    }
    public function setCidade($city){
        $this->END_municipio = $city;
    }
    
    public function getUF(){
        return $this->END_UF;
    }
    public function setUF($uf){
        $this->END_UF = $uf;
    }
    
    public function getCEP(){
        return $this->END_CEP;
    }
    public function setCEP($cep){
        $this->END_CEP = $cep;
    }
    
    public function getNumeroTitulo(){
        return $this->TIT_nr;
    }
    public function setNumeroTitulo($nr){
        $this->TIT_nr = $nr;
    }
    
    public function getSecaoitulo(){
        return $this->TIT_sc;
    }
    public function setSecaoTitulo($sc){
        $this->TIT_sc = $sc;
    }
    
    public function getZonaTitulo(){
        return $this->TIT_zn;
    }
    public function setZonaTitulo($zn){
        $this->TIT_zn = $zn;
    }
    
    public function getCodAux(){
        return $this->CodAux;
    }
    public function setCodAux($ca){
        $this->CodAux = $ca;
    }
    
    public function getObservacoes(){
        return $this->obs;
    }
    public function setObservacoes($obs){
        $this->obs = $obs;
    }
    
    public function getEndereco(){
        return $this->Endereco;
    }
    public function setEndereco(Endereco $objEndereco){
        $this->Endereco = $objEndereco;
    }
    
    public function getGrupo(){
        return $this->Grupo;
    }
    public function setGrupo(Grupo $objGrupo){
        $this->Grupo = $objGrupo;
    }
    
    public function getAuditoria(){
        return $this->Auditoria;
    }
    public function setAuditoria(Auditoria $objAuditoria){
        $this->Auditoria = $objAuditoria;
    }
    
}
